Subject: bug#23143: tail: unrecognized file system type 0x7c7c6673

From: Mikhail Emelchenkov <[email-masked]>
Date: Wed, 30 Mar 2016 23:15:52 +0300

Hello Pádraig,

> Heh 0x7C7C6673 is ||fs in ASCII. I like it :)

Me too :)

> Could you install inotify-tools and use inotifywait to see if inotify is supported on prl_fs?
> That will let us tag it appropriately.

I did it. Mixed picture:
1. Run `inotifywait -e modify /vagrant/out/1.txt` and run `echo 123 >> /vagrant/out/1.txt` both from inside VM (in different shell sessions).
Setting up watches.
Watches established.
/vagrant/out/1.txt MODIFY
2. Run `inotifywait -e modify /vagrant/out/1.txt` from inside VM and run `echo 123 >> /vagrant/out/1.txt` from outside VM.
Setting up watches.
Watches established.
(just waiting, nothing fired)

I use native Parallels Tools installed inside VM.

FS mounted as (it is mounted automatically by Vagrant and Parallels):
vagrant on /vagrant type prl_fs (rw,uid=1000,gid=1000)

Mikhail Emelchenkov
Research & development
www.Emelchenkov.pro <https://www.emelchenkov.pro/>